<template>
	<view class="o-w o-h">
		<view class="o-w o-ptb-100 o-plr-50">
			<view class="c-text-c c-text-20 c-text-b c-color-1 o-mb-40" v-if="mealCode">取餐码：{{mealCode}}</view>
			<view class="c-text-c"><image src="/static/images/mine/payOrder.png" mode="" style="width: 80px;height: 80px;"></image></view>
			<view class="c-text-c o-ptb-12"><text class="c-text-18 c-text-b c-color-1">支付成功</text></view>
			<view class="c-text-c"><text class="c-text-b c-color-8">您已经完成支付</text></view>
			<view class="o-mt-30 l-flex-between">
				<u-button @click="toIndex" :customStyle="{ marginRight: '50px' }" plain shape="circle" type="primary" text="继续逛逛"></u-button>
				<u-button @click="toIndex" shape="circle" type="primary" text="返回首页"></u-button>
			</view>
		</view>
		<!-- <view class="o-plr-50 o-mt-50">
			<view class="l-boxShadow o-mb-20 c-bg-f o-plr-10 o-ptb-20 c-radius-10">
				<text class="c-color-8">扫码关注公众号，领取棉花糖优惠码</text>
				<view class="l-flex-center">
					<u--image src="/static/images/home/goods/A01.png" width="180px" height="180px"></u--image>
				</view>
				<view class="c-color-8 c-text-c"><text>长按图片，扫码关注</text></view>
			</view>
		</view> -->
	</view>
</template>

<script>
// 导入接口
import { API_postMealCode } from '@/common/api.js';
export default {
	data() {
		return {
			mealCode:'',
		};
	},
	onLoad(options) {
		console.log(options);
		if (options.sn) {
			this.getList(options.sn);
		}
	},
	methods: {
		getList(sn) {
			API_postMealCode( sn ).then(res => {
				console.log('res', res);
				this.mealCode = res;
			});
		},
		// 回到首页
		toIndex() {
			// 改变vuex的数据
			this.$M_Dp('ACTI_TABIDX', 0);
			this.$M_Rl('/pages/index');
		}
	}
};
</script>

<style lang="scss"></style>
